Summary: An X window manager which emulates the look and feel of NEXTSTEP(R).
Name: AfterStep
Version: 1.8.0
Release: 1
Copyright: GPL
Group: User Interface/Desktops
Source0: ftp://ftp.afterstep.org/devel/snapshots/AfterStep-%{version}.tar.bz2
Source1: AfterStep-redhat.tar.gz
BuildRoot: /var/tmp/afterstep-root
Prereq: /sbin/ldconfig
BuildPrereq: sgml-tools
Requires: wmconfig >= 0.9.4, xinitrc >= 1.4, AfterStep-APPS

%description
The AfterStep window manager combines convenient, useful features 
with the attractive look of the NEXTSTEP(R) interface. NEXTSTEP(R)-style 
features include the the title bar, title buttons, borders, icons and 
menus.  The most prominent addition to the interface is AfterStep's 
Wharf, a customized version of the GoodStuff panel (an fvwm window 
manager bar of application icons).  AfterStep's Wharf is a free-floating 
application loader which can swallow running programs and contain 
folders of more applications.  AfterStep also includes easy to use
'look' files, so you can share your desktop appearance.

You need to install AfterStep if you want to use the AfterStep window
manager.  You should also install AfterStep and try it out if you haven't
decided which X Window System window manager you want to use, or just to
keep your window management options open.

%prep
%setup -q

rm -rf afterstep/start
tar xzf $RPM_SOURCE_DIR/AfterStep-redhat.tar.gz

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share \
	--with-imageloader="xv -root -quit" \
	--with-helpcommand="xterm -e man" \
	--with-desktops=1 \
	--with-deskgeometry=2x3 \
	--disable-availability \
	--enable-makemenusonboot \
	--with-xpm
make CCFLAGS="$RPM_OPT_FLAGS"
sgml2html doc/afterstep.sgml

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/{sessreg,xpmroot}
	
%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/share/afterstep
/usr/X11R6/man/*/*
%doc doc/code doc/languages doc/licences NEW README TEAM README.RedHat 
%doc UPGRADE *.html TODO

%changelog
* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.8.0 (1.7.* is beta)

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.7.172

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.7.164
- handle RPM_OPT_FLAGS
- BuildPrereq sgml-tools

* Fri Sep 03 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7.142 and the four patches available integrated

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- optimizations are making it sick

* Sun Apr 11 1999 Preston Brown <pbrown@redhat.com>
- fixed up menus from 5.2 to work with new AfterStep

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.7.90 (bugfix release), now 99 percent GNOME compliant.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- Fixed problem with the Feels menu showing the bacjkground change entries

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5
- requires AfterStep-APPS for the cool dockable applications

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- 1.4.5.3 is out
- wmconfig hacks
- can start AnotherLevel

* Fri Apr 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.5.1
- went through the sources and fixed some of the bugs

* Fri Mar 27 1998 Cristian Gafton <gafton@redhat.com>
- packaged 1.4.4 with a patch to better support BuildRoot.

